Type to search.

Get data stream mappings

  • GET /_data_stream/{name}/_mappings
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.1 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Get mapping information for one or more data streams.

Required privileges

Index privileges view_index_metadata

Path parameters

name union string | string[] required

A comma-separated list of data streams or data stream patterns. Supports wildcards (*).

Query parameters

master_timeout string · default: 30s

The period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

Response

application/json
data_streams object[] required
name string required

The name of the data stream.

mappings object required

The settings specific to this data stream

date_detection boolean
dynamic enum
Values: strict runtime true false
dynamic_date_formats string[]
dynamic_templates string to object[]
_meta object
numeric_detection boolean
properties map string to oneOf
runtime map string to object
enabled boolean
subobjects enum
Values: true false
effective_mappings object required

The settings specific to this data stream merged with the settings from its template. These effective_settings are the settings that will be used when a new index is created for this data stream.

Same fields as mappings in data_streams